Subject: Re: Fwd: [Bug 447812] New: Netlink messages from "tc" to sch_netem module are not interpreted correctly

From: Rick Jones <[email-masked]>
Date: Wed, 21 May 2008 15:36:39 -0700

However, the message is not emitted if one compiles 
src/netrt_rtnetlink.c for standalone debug:

cc -otestfoo -DNETPERF_STANDALONE_DEBUG netrt_rtnetlink.c

izzy:~/netperf2_trunk# ./testfoo 16.89.133.212
address is 16.89.133.212
egress interface 0x6000000000004010 eth6

The one difference I see in that case is that the source IP is not 
passed-in, and in the full-up netperf omni case it is.  To confirm that 
I modified the -DNETPERF_STANDALONE_DEBUG part to take an optional parm 
for the source IP, and sure enough, I can get the netlink message that 
way with the standalone version:

izzy:~/netperf2_trunk# ./testfoo 16.89.133.212
destination address is 16.89.133.212
egress interface 0x6000000000004010 eth6
izzy:~/netperf2_trunk# ./testfoo 16.89.133.212 10.208.0.17
netlink: 8 bytes leftover after parsing attributes.
destination address is 16.89.133.212
egress interface 0x6000000000004010 eth6
izzy:~/netperf2_trunk# uname -a
Linux izzy 2.6.26-rc1-raj #1 SMP Thu May 8 15:24:23 PDT 2008 ia64 GNU/Linux

http://www.netperf.org/svn/netperf2/trunk/src/netrt_rtnetlink.c

fwiw,

rick jones